Add a --validate-variables option to check that interpolated Ruby i18n